Tryton - Issues

 

Issue5443

Title Need for derivative translations support
Priority feature Status resolved
Superseder Nosy List ced, csotelo, nicoe, pokoli, reviewbot, roundup-bot, udono
Type feature request Components trytond
Assigned To ced Keywords review
Reviews 25581002, 29511002, 27631002, 26931002
View: 25581002, 29511002, 27631002, 26931002

Created on 2016-03-31.00:36:14 by ced, last changed by roundup-bot.

Messages
New changeset 3f1a70d2405e by C?dric Krier in branch '4.2':
Use 'en' as fallback language code
http://hg.tryton.org/sao/rev/3f1a70d2405e
New changeset 48c01f393bfd by C?dric Krier in branch 'default':
Use 'en' as fallback language code
http://hg.tryton.org/sao/rev/48c01f393bfd
New review26931002 at https://codereview.tryton.org/26931002/#ps1
New changeset bc52a38ec51e by C?dric Krier in branch 'default':
Rename en_US into en in tests
http://hg.tryton.org/proteus/rev/bc52a38ec51e
New changeset d7c5a57eedaa by C?dric Krier in branch 'default':
Normalize lang to be able to convert it into windows name
http://hg.tryton.org/tryton/rev/d7c5a57eedaa
New review27631002 at https://codereview.tryton.org/27631002/#ps1
msg28649 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-09-11.13:14:24
Re-open it because locale are not set on windows.
Here is review27631002 that allows to set back the language on windows by normalizing the lang.
New changeset f4e2c627537b by C?dric Krier in branch 'default':
Use simplified language code for time_locale
http://hg.tryton.org/trytond/rev/f4e2c627537b
New review29511002 at https://codereview.tryton.org/29511002/#ps1
msg28641 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-09-10.23:52:30
Here is review29511002 which simplify the time_locale.py
New changeset dca678a55a5c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/webdav/rev/dca678a55a5c
New changeset 3daa1bf40ae1 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/timesheet_cost/rev/3daa1bf40ae1
New changeset 2b71d1c7e9d9 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/timesheet/rev/2b71d1c7e9d9
New changeset 102eabbe8aea by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_supply_production/rev/102eabbe8aea
New changeset 685a178c3029 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_supply_day/rev/685a178c3029
New changeset 46ae37db137d by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_supply/rev/46ae37db137d
New changeset 0963b3c52f96 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_split/rev/0963b3c52f96
New changeset b7cea20f85b0 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_product_location/rev/b7cea20f85b0
New changeset 66058a05f119 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_package_shipping_dpd/rev/66058a05f119
New changeset e58bf29d39b1 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_package/rev/e58bf29d39b1
New changeset a7d297cc50fe by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_lot_sled/rev/a7d297cc50fe
New changeset 2e807308056c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_lot/rev/2e807308056c
New changeset db4e779c2526 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_location_sequence/rev/db4e779c2526
New changeset a24bf8272a39 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_inventory_location/rev/a24bf8272a39
New changeset 200c78d837d7 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock_forecast/rev/200c78d837d7
New changeset a79a851d7bb2 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/stock/rev/a79a851d7bb2
New changeset 7c1197ea1e39 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_supply_drop_shipment/rev/7c1197ea1e39
New changeset d9bc436fa359 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_supply/rev/d9bc436fa359
New changeset f894acedd1b9 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_stock_quantity/rev/f894acedd1b9
New changeset 56d5b78b83f1 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_shipment_grouping/rev/56d5b78b83f1
New changeset f63acca236f6 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_shipment_cost/rev/f63acca236f6
New changeset 333f3a55ca74 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_promotion/rev/333f3a55ca74
New changeset 3afc8e0b1c7e by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_price_list/rev/3afc8e0b1c7e
New changeset 44011afb475c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_opportunity/rev/44011afb475c
New changeset cceeb7401e46 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_invoice_grouping/rev/cceeb7401e46
New changeset af1d41228ee2 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_extra/rev/af1d41228ee2
New changeset 5809621cbdca by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale_complaint/rev/5809621cbdca
New changeset 49b6bfdb56ab by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/sale/rev/49b6bfdb56ab
New changeset 0d254769c90e by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/purchase_shipment_cost/rev/0d254769c90e
New changeset 2b22c6109da9 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/purchase_request/rev/2b22c6109da9
New changeset e563da38ecce by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/purchase_invoice_line_standalone/rev/e563da38ecce
New changeset a6dfd3d04b0a by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/purchase/rev/a6dfd3d04b0a
New changeset 290b84bbef19 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/project_revenue/rev/290b84bbef19
New changeset 511418cc3639 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/project_plan/rev/511418cc3639
New changeset b4ab9edea29b by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/project_invoice/rev/b4ab9edea29b
New changeset 4fc4a6dbe712 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/project/rev/4fc4a6dbe712
New changeset 1ac46e9937ae by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/production_work/rev/1ac46e9937ae
New changeset 80d05c943eee by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/production_routing/rev/80d05c943eee
New changeset 511b6fb32206 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/production/rev/511b6fb32206
New changeset 86462670628c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_price_list/rev/86462670628c
New changeset b299e3329a83 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_measurements/rev/b299e3329a83
New changeset 5b0b2f25245a by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_cost_history/rev/5b0b2f25245a
New changeset d43770164dfe by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_cost_fifo/rev/d43770164dfe
New changeset 7a7d0ae3e659 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_classification_taxonomic/rev/7a7d0ae3e659
New changeset ea1ea68a0473 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_classification/rev/ea1ea68a0473
New changeset 3396d227ecdb by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product_attribute/rev/3396d227ecdb
New changeset 3697065c04f9 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/product/rev/3697065c04f9
New changeset e5433392796c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/party_vcarddav/rev/e5433392796c
New changeset 2bc7282ead04 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/party_siret/rev/2bc7282ead04
New changeset de8944f2580d by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/party_relationship/rev/de8944f2580d
New changeset b01d2faccd09 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/party/rev/b01d2faccd09
New changeset 65dc52ca6679 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/ldap_authentication/rev/65dc52ca6679
New changeset fdb53fedd43f by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/google_maps/rev/fdb53fedd43f
New changeset bb208f4c95ae by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/dashboard/rev/bb208f4c95ae
New changeset 5df10c0c2e49 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/customs/rev/5df10c0c2e49
New changeset 1d71cf1e11c3 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/currency/rev/1d71cf1e11c3
New changeset 40fd6fc1a573 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/country/rev/40fd6fc1a573
New changeset 2f91191f2691 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/company_work_time/rev/2f91191f2691
New changeset 7ac32f29059c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/company/rev/7ac32f29059c
New changeset 779584177c6d by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/commission_waiting/rev/779584177c6d
New changeset 7d161d8d3894 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/commission/rev/7d161d8d3894
New changeset 917e2e44e09d by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/carrier_weight/rev/917e2e44e09d
New changeset 515173d3fe1f by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/carrier_percentage/rev/515173d3fe1f
New changeset 059858961072 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/carrier/rev/059858961072
New changeset 93ee8a08955c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/calendar_todo/rev/93ee8a08955c
New changeset 4137e6dc1ac8 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/calendar_scheduling/rev/4137e6dc1ac8
New changeset 436843e4778b by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/calendar_classification/rev/436843e4778b
New changeset a17736e8c027 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/calendar/rev/a17736e8c027
New changeset 48143da5485c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/bank/rev/48143da5485c
New changeset d7cf51bf8acb by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/analytic_sale/rev/d7cf51bf8acb
New changeset 0a46e288ee5a by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/analytic_purchase/rev/0a46e288ee5a
New changeset c1ba024493c2 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/analytic_invoice/rev/c1ba024493c2
New changeset 7b3ef1648ab1 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/analytic_account/rev/7b3ef1648ab1
New changeset dfdb855ac9f1 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_tax_rule_country/rev/dfdb855ac9f1
New changeset 8bc6a48f8908 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_stock_landed_cost_weight/rev/8bc6a48f8908
New changeset 0947f0609e38 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_stock_landed_cost/rev/0947f0609e38
New changeset f64f7c6fc419 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_stock_continental/rev/f64f7c6fc419
New changeset e7fb6b97970c by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_stock_anglo_saxon/rev/e7fb6b97970c
New changeset 8b1bc3d080b8 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_statement/rev/8b1bc3d080b8
New changeset 4415da8ea489 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_product/rev/4415da8ea489
New changeset 3cd21bbc40f1 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_payment_sepa/rev/3cd21bbc40f1
New changeset c8db316a8c4b by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_payment_clearing/rev/c8db316a8c4b
New changeset 11a679fe9dc2 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_payment/rev/11a679fe9dc2
New changeset 45e20a292e94 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_invoice_stock/rev/45e20a292e94
New changeset b95489d2497f by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_invoice_line_standalone/rev/b95489d2497f
New changeset 0988815a1457 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_invoice_history/rev/0988815a1457
New changeset 8345a3d0c531 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_invoice/rev/8345a3d0c531
New changeset 10e200edc149 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_fr/rev/10e200edc149
New changeset 5f9a783838f7 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_dunning_letter/rev/5f9a783838f7
New changeset 2d44b91b8ac9 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_dunning/rev/2d44b91b8ac9
New changeset 6c462fe059dc by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/sao/rev/6c462fe059dc
New changeset f15efb97b0d6 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_deposit/rev/f15efb97b0d6
New changeset 123b9964601b by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_credit_limit/rev/123b9964601b
New changeset c12fdb904d1b by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account_asset/rev/c12fdb904d1b
New changeset 1b549dfc8eb8 by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/tryton/rev/1b549dfc8eb8
New changeset 4402f20d9f5d by C?dric Krier in branch 'default':
Rename language codes
http://hg.tryton.org/modules/account/rev/4402f20d9f5d
New changeset 049635454a98 by C?dric Krier in branch 'default':
Add support for derivative translations
http://hg.tryton.org/trytond/rev/049635454a98
review25581002 updated at https://codereview.tryton.org/25581002/#ps40001
review25581002 updated at https://codereview.tryton.org/25581002/#ps20001
msg28541 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-09-10.14:57:54
Indeed I decided to remove country for most languages. It is better to do that in one step than doing it case by case.
I have fetched the current translations from pootle and I will commit an updated version of the translations like if it was for a release.
review25581002 updated at https://codereview.tryton.org/25581002/#ps1
msg27680 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-08-13.00:51:01
review25581002 implements the derivative translation.
I renamed es_ES as es and clean all spanish derivative for now.
I did not rename unique language for now, this can be done later when the need will be raised.
Once reviewed, I will perform the same for all modules and I will upload (exceptionally before the freeze) the result on Pootle (and also rename es_ES).
msg27639 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-08-11.11:09:07
Indeed they are not linked.
msg27633 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-08-11.09:48:21
We will first need to resolve issue5452
msg25888 (view) Author: [hidden] (udono) Date: 2016-05-19.13:22:40
The general idea is very good.
Some terms in german language are used different in Germany, Swiss and Austria.
It would help a lot to have country unspecific translations of a language and
adding country specific flavours by need.

I am not sure if the additional complexity with the links between languages
is worth the result.
We have regular requests from clients to rename parts of Trytons very general
name space to to the terminology used in their business.
But since we have the possibility to override translations we can handle this
in a sane way.

What would be the benefit of linking languages?
msg25585 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-04-21.16:34:42
I don't think it needs to have a link between language. It should simply follow the standard locale rules from general language to country specific.
msg25578 (view) Author: [hidden] (csotelo) Date: 2016-04-21.12:46:53
@pokoli I just understood, anyway I am interested on this feature, I will look for it and notice to you this weekend
msg25577 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-04-21.12:37:50
El 21/04/16 a les 11:54, Carlos Eduardo Sotelo Pinto ha escrit:
> Carlos Eduardo Sotelo Pinto<carlos.sotelo.pinto@gmail.com>  added the comment:
>
> @ced Yes, My proposal is to help on the es_PE> I will work on it this weekend. I guess I must done on pootle.
What ced says is that we need to implement some system to make a 
language depen on another (so it's a derivate of other). With this 
dependence we avoid duplicating all the translations that are equal in 
both languages.

It will be great if you can try proposing a patch for it. IMHO, this 
patch will add a Many2One from ir.lang to ir.lang to indicate the 
translations. Once you have the derivative relation, the queries to 
fetch translations from the database should be updated to pick the 
derivative language translation if there is no translation on the base 
language.
msg25576 (view) Author: [hidden] (csotelo) Date: 2016-04-21.11:54:28
@ced Yes, My proposal is to help on the es_PE> I will work on it this weekend. I guess I must done on pootle.

Best Regards
msg25575 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-04-21.11:34:52
@csotelo I don't understand your msg25573. Are you proposing your help to implement this feature? If yes, you can just start by submitting a patch (see http://www.tryton.org/how-to-contribute.html)
msg25573 (view) Author: [hidden] (csotelo) Date: 2016-04-20.18:00:58
I would like to help on es translatoin ( es ) an peruvian localization ( es_pe )
msg25334 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-03-31.00:36:13
We need a way to group translation of the same language and only have small specification per country/flavour.
I propose that trytond tries first to pick a translation including country if there are none or it is empty then it tries to pick the translation from language only code.
On Pootle, the translators when translating for a country, will have to configure Pootle to show the language translation and so he will leave it empty if it is the same.
http://docs.translatehouse.org/projects/pootle/en/stable-2.7.2/features/alternative_source_language.html
Also I think a cleaning will be needed for the current duplicate languages.
History
Date User Action Args
2016-12-17 23:16:23roundup-botsetmessages: + msg30802
2016-12-09 10:18:41roundup-botsetstatus: chatting -> resolved
messages: + msg30630
2016-11-29 14:55:28reviewbotsetstatus: resolved -> chatting
messages: + msg30504
2016-11-29 14:55:28reviewbotsetreviews: 25581002, 29511002, 27631002 -> 25581002, 29511002, 27631002, 26931002
2016-10-20 11:40:34roundup-botsetmessages: + msg29454
2016-09-12 21:09:32roundup-botsetstatus: testing -> resolved
messages: + msg28682
2016-09-11 13:26:30reviewbotsetmessages: + msg28651
2016-09-11 13:26:29reviewbotsetreviews: 25581002, 29511002 -> 25581002, 29511002, 27631002
2016-09-11 13:14:24cedsetstatus: resolved -> testing
messages: + msg28649
2016-09-11 09:20:06roundup-botsetstatus: testing -> resolved
messages: + msg28645

Showing 10 items. Show all history (warning: this could be VERY long)